.n-button {
    background-color: #ecf0f3;
    box-shadow: -12px -12px 24px 0 #fff, 12px 12px 24px 0 #d1d9e6;
    padding: 12px 16px;
    border: 0;
    border-radius: 25px;
    color: #43AAAF;
    font-weight: 600;
}

.am-mads-pl-grid {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 10px;
}

.am-mads-pl-grid-item-num {
    font-size: 36px;
    font-weight: 500;
    text-align: right !important;
    color: #9d9d9d;
    letter-spacing: 3px;
}

.am-mads-pl-grid-item {
    margin-bottom: 10px;
}

.am-mads-pg-title {
    color: #F04E4E;
    border-radius: 20px;
    font-weight: 600;
    font-size: 14px;
    display: flex;
    align-items: center;
    background: #e6b7b7;
    padding: 2px 8px;
    width: fit-content;
}

.am-mads-typewriter-marquee {
    background: #ffffff;
    display: flex;
    justify-content: center;
    background: linear-gradient(135deg, #667eea, #764ba2);
}

.typewriter {
    overflow: hidden;
}

.typewriter h2 {
    color: #fff;
    overflow: hidden;
    font-weight: 900 !important;
    font-size: clamp(16px, 4vw, 40px) !important;
    border-right: .15em solid #008b93;
    white-space: nowrap;
    margin: 0 auto;
    letter-spacing: .15em;
    animation:
        type 6s steps(50, end) infinite,
        blink-cursor .3s step-end infinite;
}

.glass-effect {
    background: rgba(255, 255, 255, 0.1);
    padding: 20px 30px;
    border-radius: 16px;
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);
    border: 1px solid rgba(255, 255, 255, 0.2);
    box-shadow: 0 8px 32px rgba(0, 0, 0, 0.25);
}

@keyframes type {
    0% {
        width: 0
    }

    80% {
        width: 100%
    }

    100% {
        width: 100%;
    }
}

@keyframes blink-cursor {

    from,
    to {
        border-color: transparent
    }

    50% {
        border-color: #008b93;
    }
}

@media (max-width: 768px) {
    .glass-effect {
        padding: 15px 10px;
    }

    .typewriter h2 {
        font-size: 13px !important;
        letter-spacing: .1em;
    }
}

@media (max-width: 480px) {
    .glass-effect {
        padding: 15px 10px;
    }

    .typewriter h2 {
        font-size: 13px !important;
        letter-spacing: .1em;
    }
}


@media only screen and (max-width:1000px) {
    .am-mads-pl-grid {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 10px;
    }
}

@media only screen and (max-width:760px) {
    .am-mads-pl-grid {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 10px;
    }
}

@media only screen and (max-width:550px) {
    .am-mads-pl-grid {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        gap: 10px;
    }
}

.am-sm-heading {
    font-size: 22px !important;
    font-weight: 600 !important;
}

.am-border-right {
    border-right: 2px solid #909090;
}

.am-border-bottom {
    border-bottom: 2px solid #909090;
}

.am-mads-wcv-card-pt {
    padding-top: 100px !important;
}

.am-mads-wcv-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.am-mads-wcv-card {
    padding: 30px 30px 0px 30px;
    cursor: pointer;
}

.am-mads-wcv-card-img {
    width: 70px !important;
    max-width: 70px !important;
    padding: 10px 15px 0px 0px;
}

.am-mads-wcv-card-text {

    padding: 10px;
}

.am-mads-wcv-card>div {
    transition: all 0.3s ease;
}

.am-mads-wcv-card>div:hover {
    padding: 20px;
    margin: -20px;
    /* compensates for added padding */
    background: #ffffff;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    transform: scale(1.1);
    border-radius: 8px;
}

.am-mads-wcv-sec {
    position: relative;
    z-index: 1;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: contain;
}

.am-mads-wcv-sec::before {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-color: rgb(255 255 255 / 93%);
    z-index: -1;
}

.am-mads-wcv-card-body-flex {
    display: flex;
}



@media only screen and (max-width:768px) {

        .am-mads-wcv-card>div:hover {
            padding: initial;
            margin: initial;
            background: initial;
            box-shadow: none;
            transform: none;
            border-radius: initial;
        }
    

    .am-mads-wcv-card-pt {
        padding-top: 50px !important;
    }

    .am-mads-wcv-card {
        padding: 30px 20px 0px 20px;
        border-bottom: 1px solid #eeeeee;

    }

    .am-border-bottom {
        border-bottom: none;
    }

    .am-border-right {
        border-right: none;
    }

    .am-mads-wcv-card.no-am-bottom-border {
        border-bottom: none;
    }

}
.am-iws-section {
    position: relative;
}

.am-iws-stack-section {
    height: 600px;
    margin-top: 20px;
}

.am-stack-card {
    display: none;
    position: absolute;

    width: 300px;
    color: #ffffff;
    border: none;
    transform: translate(0, -50%);

}

.am-stack-box {
    transition: transform 0.3s ease;
    cursor: pointer;
}

.am-stack-box.active {
    transform: scale(1.05);
}


.am-stack-box1 {
    position: absolute;
    top: 0px;
}



.am-stack-box1.active .am-stack-card1-onhover {
    display: block;
    background-image: linear-gradient(to top, #ff9a9e 0%, #fad0c4 99%, #fad0c4 100%);
    left: -115%;
    top: 90%;
}

.am-stack-box1.active .am-stack-card1-arrow-onhover {
    display: block !important;
    position: absolute;
    top: 39%;
    left: -35%;
    width: 37%;
    max-width: none;
}


.am-stack-box2 {
    position: absolute;
    top: 116px;
}

.am-stack-box2.active .am-stack-card2-onhover {
    display: block;
    background-image: linear-gradient(to top, #ff7e5f 0%, #feb47b 100%);
    top: 120%;
    left: -412%;
}

.am-stack-box2.active .am-stack-card2-arrow-onhover {
    display: block !important;
    position: absolute;
    top: 42%;
    left: -128%;
    width: 134%;
    max-width: none
}

.am-stack-box3 {
    position: absolute;
    top: 213px;
}

.am-stack-box3.active .am-stack-card3-onhover {
    display: block;
    background-image: linear-gradient(to top, #ffecd2 0%, #fcb69f 100%);
    top: 120%;
    left: -412%;
}

.am-stack-box3.active .am-stack-card3-arrow-onhover {
    display: block !important;
    position: absolute;
    top: 42%;
    left: -128%;
    width: 134%;
    max-width: none
}

.am-stack-box4 {
    position: absolute;
    top: 310px;
}


.am-stack-box4.active .am-stack-card4-onhover {
    display: block;
    background-image: linear-gradient(to top, #4facfe 0%, #00f2fe 100%);
    top: 120%;
    left: -412%;
}

.am-stack-box4.active .am-stack-card4-arrow-onhover {
    display: block !important;
    position: absolute;
    top: 42%;
    left: -128%;
    width: 134%;
    max-width: none
}

.am-stack-box5 {
    position: absolute;
    top: 407px;
}

.am-stack-box5.active .am-stack-card5-onhover {
    display: block;
    background-image: linear-gradient(to top, #43cea2 0%, #9ecdcc 100%);
    top: 120%;
    left: -412%;
}

.am-stack-box5.active .am-stack-card5-arrow-onhover {
    display: block !important;
    position: absolute;
    top: 42%;
    left: -128%;
    width: 134%;
    max-width: none
}

.am-stack-side {
    box-sizing: border-box;
    height: 95px;
}

.am-stack-top {
    width: 320px;
    transform: skew(79deg, 349deg);
    margin-left: 55px;
    height: 19px;
}

.am-stack-left {
    width: 101px;
    transform: skew(0, 11deg);
    margin-top: 22px;
    margin-left: 5px;
    display: grid;
    place-content: center;
    font-size: 38px;
    color: #ffffff;
}
.am-stack-left::before {
  content: "\f05a"; 
  font-family: "Font Awesome 6 Free";
  font-weight: 900; 
}

.am-stack-right {


    position: absolute;
    bottom: 22px;
    left: 103px;
    width: 322px;
    transform: skew(0, 349deg);
}

.am-iws-stact-cube-content {
    display: grid;
    place-content: center;
    font-size: 26px;
    font-weight: 700;
}

@media only screen and (max-width:992px) {
    .am-ps-relative {
        position: relative;
        height: 600px;
    }

    .am-iws-stack-section {
        position: absolute;

        right: 56%;
    }



    .am-stack-card {
        width: 257px;

    }

    .am-stack-box1.active .am-stack-card1-arrow-onhover {
        left: -19%;
        width: 21%;
    }

    .am-stack-box1.active .am-stack-card1-onhover {

        left: -88%;

    }

    .am-stack-box2.active .am-stack-card2-arrow-onhover,
    .am-stack-box3.active .am-stack-card3-arrow-onhover,
    .am-stack-box4.active .am-stack-card4-arrow-onhover,
    .am-stack-box5.active .am-stack-card5-arrow-onhover {
        left: -69%;
        width: 74%;
    }

    .am-stack-box2.active .am-stack-card2-onhover,
    .am-stack-box3.active .am-stack-card3-onhover,
    .am-stack-box4.active .am-stack-card4-onhover,
    .am-stack-box5.active .am-stack-card5-onhover {

        left: -312%;

    }

}

@media only screen and (max-width:768px) {

    .am-ps-relative {
        position: relative;
        height: 400px;
    }

    .am-iws-stack-section {
        margin-top: 50px;
    }

    .am-stack-box1 {

        top: 3px;
    }

    .am-stack-box1,
    .am-stack-box2,
    .am-stack-box3,
    .am-stack-box4,
    .am-stack-box5 {
        left: 50%;
        transform: translate(-50%) scale(0.6);

    }

    .am-iws-stack-section {
        height: 350px;
    }

    .am-stack-box2 {
        top: 60px;
    }

    .am-stack-box3 {
        top: 118px;
    }

    .am-stack-box4 {
        top: 176px;
    }

    .am-stack-box5 {
        top: 234px;
    }


    .am-stack-box.active {
        transform: translate(-50%) scale(0.62);


    }

    .am-stack-card {
        border-radius: 15px 0px 15px 0px;
        transform: scale(1.4);

    }

    .am-stack-box1.active .am-stack-card1-onhover {
        display: block;
        background-image: linear-gradient(to top, #ff9a9e 0%, #fad0c4 99%, #fad0c4 100%);
        left: 0%;
        top: calc(-100% - 15px);
    }

    .am-stack-box1.active .am-stack-card1-arrow-onhover {
        display: none !important;

    }

    .am-stack-box2.active .am-stack-card2-onhover {
        display: block;
        background-image: linear-gradient(to top, #ff7e5f 0%, #feb47b 100%);
        top: -100%;
        left: 0%;
    }

    .am-stack-box2.active .am-stack-card2-arrow-onhover {
        display: none !important;
    }

    .am-stack-box3.active .am-stack-card3-onhover {
        display: block;
        background-image: linear-gradient(to top, #ffecd2 0%, #fcb69f 100%);
        top: -100%;
        left: 0%;
    }

    .am-stack-box3.active .am-stack-card3-arrow-onhover {
        display: none !important;

    }

    .am-stack-box4.active .am-stack-card4-onhover {
        display: block;
        background-image: linear-gradient(to top, #4facfe 0%, #00f2fe 100%);
        top: -100%;
        left: 0%;
    }

    .am-stack-box4.active .am-stack-card4-arrow-onhover {
        display: none !important;

    }

    .am-stack-box5.active .am-stack-card5-onhover {
        display: block;
        background-image: linear-gradient(to top, #43cea2 0%, #9ecdcc 100%);
        top: -100%;
        left: 0%;
    }

    .am-stack-box5.active .am-stack-card5-arrow-onhover {
        display: none !important;

    }

}